## net.i2p.router.tunnel.pool
Class BuildHandler

    java.lang.Object
      net.i2p.router.tunnel.pool.BuildHandler

class BuildHandler
extends java.lang.Object

Constructor Summary
`BuildHandler(RouterContext ctx, BuildExecutor exec)`

Method Summary
`(package private) void` `handleInboundReplies()`
`(package private) boolean` `handleInboundRequests()` Blocking call to handle a few of the pending inbound requests, returning true if there are remaining requeusts we skipped over

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildHandler

    public BuildHandler(RouterContext ctx,
                        BuildExecutor exec)

Method Detail

### handleInboundRequests

    boolean handleInboundRequests()

  Blocking call to handle a few of the pending inbound requests, returning true if there are remaining requeusts we skipped over

### handleInboundReplies

    void handleInboundReplies()